# Uses of Interface
org.pentaho.reporting.libraries.resourceloader.Resource

Packages that use Resource
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.factory
org.pentaho.reporting.libraries.resourceloader.factory.image
org.pentaho.reporting.libraries.resourceloader.factory.property
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache
org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio
org.pentaho.reporting.libraries.resourceloader.modules.factory.svg
org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader

Classes in org.pentaho.reporting.libraries.resourceloader that implement Resource
Modifier and Type
Class
Description
`class`
`CompoundResource`
Creation-Date: 08.04.2006, 14:08:13
`class`
`SimpleResource`
A simple resource with only a single dependency.
Methods in org.pentaho.reporting.libraries.resourceloader that return Resource
Modifier and Type
Method
Description
`Resource`
DefaultResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData data, ResourceKey context, Class[] target)`
`Resource`
ResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
Creates a resource by interpreting the data given in the resource-data object.
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context)`
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context, Class target)`
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context, Class[] target)`
`Resource`
ResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData key, ResourceKey context, Class[] target)`
`Resource`
ResourceManager.`createDirectly(Object keyValue, Class target)`
Methods in org.pentaho.reporting.libraries.resourceloader with parameters of type Resource
Modifier and Type
Method
Description
`void`
DependencyCollector.`add(Resource dependentResource)`
`boolean`
DefaultResourceManagerBackend.`isResourceUnchanged(ResourceManager frontEnd, Resource resource)`
`boolean`
ResourceManagerBackend.`isResourceUnchanged(ResourceManager resourceManager, Resource resource)`

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader.cache

Classes in org.pentaho.reporting.libraries.resourceloader.cache that implement Resource
Modifier and Type
Class
Description
`class`
`BundleCacheResourceWrapper`
Todo: Document me!
Methods in org.pentaho.reporting.libraries.resourceloader.cache that return Resource
Modifier and Type
Method
Description
`Resource`
NullResourceFactoryCache.`get(ResourceKey key, Class[] target)`
`Resource`
ResourceFactoryCache.`get(ResourceKey key, Class[] target)`
Methods in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type Resource
Modifier and Type
Method
Description
`void`
NullResourceFactoryCache.`put(Resource resource)`
`void`
ResourceFactoryCache.`put(Resource resource)`
`void`
NullResourceFactoryCache.`remove(Resource resource)`
`void`
ResourceFactoryCache.`remove(Resource resource)`
Constructors in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type Resource
Modifier
Constructor
Description
``
`BundleCacheResourceWrapper(Resource parent, ResourceKey outsideKey)`

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader.factory

Methods in org.pentaho.reporting.libraries.resourceloader.factory that return Resource
Modifier and Type
Method
Description
`Resource`
AbstractResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
`Resource`
FactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader.factory.image

Methods in org.pentaho.reporting.libraries.resourceloader.factory.image that return Resource
Modifier and Type
Method
Description
`Resource`
GIFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
JPEGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
PNGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader.factory.property

Methods in org.pentaho.reporting.libraries.resourceloader.factory.property that return Resource
Modifier and Type
Method
Description
`Resource`
PropertiesResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that return Resource
Modifier and Type
Method
Description
`Resource`
EHResourceFactoryCache.`get(ResourceKey key, Class[] target)`
Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache with parameters of type Resource
Modifier and Type
Method
Description
`void`
EHResourceFactoryCache.`put(Resource resource)`
`void`
EHResourceFactoryCache.`remove(Resource resource)`

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio that return Resource
Modifier and Type
Method
Description
`Resource`
ImageIOFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg that return Resource
Modifier and Type
Method
Description
`Resource`
SVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
SVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of Resource in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf that return Resource
Modifier and Type
Method
Description
`Resource`
WMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`